org.eclipse.emf.cdo.admin

## Interface CDOAdminClientRepository

- All Superinterfaces:
    CDOAdminRepository, CDOCommonRepository, CDOTimeProvider, IAdaptable, INotifier

      public interface CDOAdminClientRepository
      extends CDOAdminRepository

  A client-side `administrative interface` to a remote repository.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CDOAdminClientRepository.SessionConfigurator` Provides access to the `session configuration` used in calls to `openSession()`.

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonRepository

      `CDOCommonRepository.CommitInfoStorage, CDOCommonRepository.IDGenerationLocation, CDOCommonRepository.ListOrdering, CDOCommonRepository.State, CDOCommonRepository.StateChangedEvent, CDOCommonRepository.Type, CDOCommonRepository.TypeChangedEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOAdminClient` | `getAdmin()`
    `CDONet4jSession` | `openSession()`
    `CDONet4jSession` | `openSession(CDOAdminClientRepository.SessionConfigurator configurator)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.admin.CDOAdminRepository

      `delete, getTimeStamp`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonRepository

      `getCommitInfoStorage, getCreationTime, getIDGenerationLocation, getName, getObjectIDTypes, getRootResourceID, getState, getStoreType, getType, getUUID, isAuthenticating, isEnsuringReferentialIntegrity, isSerializingCommits, isSupportingAudits, isSupportingBranches, isSupportingEcore, isSupportingUnits, waitWhileInitial`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getAdmin

          CDOAdminClient getAdmin()

      Specified by:
        `getAdmin` in interface `CDOAdminRepository`

    - #### openSession

          CDONet4jSession openSession()

    - #### openSession

          CDONet4jSession openSession(CDOAdminClientRepository.SessionConfigurator configurator)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html